%define build_subpixel 0
%define build_plf 0
%{?_with_plf: %global build_plf 1}
%{?_with_subpixel: %global build_subpixel 1}


%if "%distro_section" == "tainted"
%global build_plf 1
%endif

%if %build_plf
%define build_subpixel 1
%endif

%define major	6
%define libname	%mklibname freetype %{major}
%define develname %mklibname -d freetype %{major}
%define staticdevelname %mklibname -d -s freetype %{major}

%define git_url git://git.sv.gnu.org/freetype/freetype2.git

Name:		freetype2
Summary:	A free and portable TrueType font rendering engine
Version:	2.5.4
%define subrel  1
Release:	%mkrel 2
License:	FreeType License/GPL
URL:		http://www.freetype.org/
Source0:	http://downloads.sourceforge.net/freetype/freetype-%{version}.tar.bz2
Source1:	http://downloads.sourceforge.net/freetype/freetype-doc-%{version}.tar.bz2
Source2:	http://downloads.sourceforge.net/freetype/ft2demos-%{version}.tar.bz2
Patch0:		ft2demos-2.3.12-mathlib.diff
#fix pcf font bug introduced in 2.5.4 (patch from upstream git)
Patch1:         0007-pcf-Fix-Savannah-bug-43774.patch
Patch2:         0016-src-pcf-pcfread.c-pcf_read_TOC-Improve-fix-from-2014.patch
Patch3:         freetype-git-CVE-2016-10244.patch

BuildRequires:	zlib-devel
BuildRequires:	pkgconfig
BuildRequires:	libx11-devel
BuildRequires:	bzip2-devel
BuildRequires:	libpng-devel
Group:		System/Libraries

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included
%if %{build_plf}

This package is in the "tainted" section because it has subpixel hinting
enabled which is covered by software patents.
%endif

%package -n %{libname}
Summary:	Shared libraries for a free and portable TrueType font rendering engine
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The FreeType2 engine is a free and portable TrueType font rendering
engine.  It has been developed to provide TT support to a great
variety of platforms and environments. Note that FreeType2 is a
library, not a stand-alone application, though some utility
applications are included
%if %{build_plf}

This package is in the "tainted" section because it has subpixel hinting
enabled which is covered by software patents.
%endif

%package -n %{develname}
Summary:	Header files and static library for development with FreeType2
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package is only needed if you intend to develop or compile applications
which rely on the FreeType2 library. If you simply want to run existing
applications, you won't need this package.

%package -n %{staticdevelname}
Summary:	Static libraries for programs which will use the FreeType2 library
Group:		Development/C
Requires:	%{libname}-devel = %{version}
Obsoletes:	%{name}-static-devel
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n %{staticdevelname}
This package includes the static libraries necessary for 
developing programs which will use the FreeType2 library.

If you are going to develop programs which use the FreeType2 library
you should install freetype2-devel.  You'll also need to have the 
freetype2 package installed.

%package demos
Summary:	A collection of FreeType demos
Group:		File tools

%description demos
The FreeType engine is a free and portable font rendering engine, developed to
provide advanced font support for a variety of platforms and environments. The
demos package includes a set of useful small utilities showing various
capabilities of the FreeType library.

%prep
%setup -q -n freetype-%version -b 1 -a2

%patch1 -p1
%patch2 -p1
%patch3 -p1

pushd ft2demos-%{version}
%patch0 -p0
popd

%if %{build_subpixel}
perl -pi -e 's|^/\* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING \*/| #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING|' include/config/ftoption.h
%endif

%build

# some apps crash on ppc without this
%ifarch ppc
export CFLAGS="`echo %optflags |sed s/O2/O0/`"
%endif

%configure2_5x
%make

pushd ft2demos-%{version}
%make X11_PATH=%{_prefix} TOP_DIR=".."
popd

%install
%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/freetype-config

%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/freetype2/config/ftconfig.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/freetype2/config/ftoption.h

install -d $RPM_BUILD_ROOT/%{_bindir}

for ftdemo in ftbench ftdiff ftdump ftgamma ftgrid ftlint ftmulti ftstring ftvalid ftview; do
    builds/unix/libtool --mode=install install -m 755 ft2demos-%{version}/bin/$ftdemo $RPM_BUILD_ROOT/%{_bindir}
done

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ../freetype-%{version}/docs/*
%{_bindir}/freetype-config
%{_libdir}/*.so
%dir %{_includedir}/freetype2
%{_includedir}/freetype2/*
%{_datadir}/aclocal/*
%{_mandir}/man1/freetype-config.1*
%{_libdir}/pkgconfig/*
%multiarch %multiarch_bindir/freetype-config
%multiarch %dir %multiarch_includedir/freetype2
%multiarch %multiarch_includedir/freetype2/*

%files -n %{staticdevelname}
%{_libdir}/*.a

%files demos
%{_bindir}/ftbench
%{_bindir}/ftdiff
%{_bindir}/ftdump
%{_bindir}/ftgamma
%{_bindir}/ftgrid
%{_bindir}/ftlint
%{_bindir}/ftmulti
%{_bindir}/ftstring
%{_bindir}/ftvalid
%{_bindir}/ftview


%changelog
* Mon Mar 13 2017 akien <akien> 2.5.4-2.1.mga5
+ Revision: 1092488
- Add upstream patch for CVE-2016-10244 (mga#20465)

* Sat Dec 13 2014 eatdirt <eatdirt> 2.5.4-2.mga5.tainted
+ Revision: 802939
- Add upstream patch to fix mga#14785

* Tue Dec 09 2014 fwang <fwang> 2.5.4-1.mga5.tainted
+ Revision: 802399
- new version 2.5.4

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-3.mga5.tainted
+ Revision: 739929
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-2.mga5.tainted
+ Revision: 679355
- Mageia 5 Mass Rebuild

* Mon Mar 10 2014 fwang <fwang> 2.5.3-1.mga5.tainted
+ Revision: 601638
- update file list
- 2.5.3

* Fri Feb 07 2014 fwang <fwang> 2.5.2-1.mga5.tainted
+ Revision: 585050
- update include path
- update file path
- new version 2.5.2

* Mon Oct 21 2013 umeabot <umeabot> 2.5.0.1-3.mga4.tainted
+ Revision: 538144
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 pterjan <pterjan> 2.5.0.1-2.mga4
+ Revision: 488684
- Tag another arch specific header

* Thu Jun 20 2013 fwang <fwang> 2.5.0.1-1.mga4.tainted
+ Revision: 445176
- update dir
- add more br
- drop merged patch
- new version 2.5.0.1

* Sun Jun 16 2013 blino <blino> 2.4.12-2.mga4.tainted
+ Revision: 443649
- enable Adobe CFF hinting engine (like Fedora)

* Sun Jun 16 2013 blino <blino> 2.4.12-1.mga4
+ Revision: 443642
- drop CVE-2010-3311 patch (fixed in upstream commit 75787c19eab20874c5d588842c52e59cfbd9302a)
- 2.4.12

  + fwang <fwang>
    - cleanup spec

* Fri Jan 11 2013 umeabot <umeabot> 2.4.11-2.mga3.tainted
+ Revision: 350959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 2.4.11-1.mga3.tainted
+ Revision: 333539
- new version 2.4.11

* Fri Jun 15 2012 fwang <fwang> 2.4.10-1.mga3.tainted
+ Revision: 260735
- new version 2.4.10

* Fri Mar 09 2012 fwang <fwang> 2.4.9-1.mga2.tainted
+ Revision: 221855
- new version 2.4.9

* Fri Mar 02 2012 dmorgan <dmorgan> 2.4.8-3.mga2.tainted
+ Revision: 216708
- Rebuild because of missing packages

* Fri Dec 16 2011 wally <wally> 2.4.8-2.mga2.tainted
+ Revision: 182614
- drop .la files

* Tue Nov 15 2011 fwang <fwang> 2.4.8-1.mga2.tainted
+ Revision: 167937
- new version 2.4.8

* Wed Oct 19 2011 fwang <fwang> 2.4.7-1.mga2.tainted
+ Revision: 156455
- new version 2.4.7
- new version 2.4.6

* Tue Jun 28 2011 fwang <fwang> 2.4.5-1.mga2.tainted
+ Revision: 115134
- new version 2.4.5

* Tue Jun 07 2011 ahmad <ahmad> 2.4.4-6.mga2.tainted
+ Revision: 101592
+ rebuild (emptylog)

* Tue May 31 2011 ahmad <ahmad> 2.4.4-5.mga2.tainted
+ Revision: 100820
- Enable tainted build
- Adapt the package(s) descriptions

* Fri Feb 25 2011 anssi <anssi> 2.4.4-4.mga1
+ Revision: 59964
- enable autohinting for fonts without bytecode (patch from upstream)

* Wed Feb 09 2011 tmb <tmb> 2.4.4-3.mga1
+ Revision: 49543
- rebuild for missing packages

* Sat Jan 08 2011 blino <blino> 2.4.4-2.mga1
+ Revision: 1032
- remove old ldconfig scriptlets
- imported package freetype2

